Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 249327 - Should only update modifyTimestamp/modifiersName on MODIFY ops
Summary: Should only update modifyTimestamp/modifiersName on MODIFY ops
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.1.0beta
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 389_1.3.0
TreeView+ depends on / blocked
 
Reported: 2007-07-23 18:57 UTC by Rich Megginson
Modified: 2015-01-04 23:27 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.2.11-0.1.a1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-04 23:21:11 UTC


Attachments (Terms of Use)

Description Rich Megginson 2007-07-23 18:57:39 UTC
The directory server updates the modifyTimestamp on operations other than Modify
operations.  See http://tools.ietf.org/html/rfc4512.  However, attributes can be
modified by operations other than Modify.  For example, with password policy
enabled, a Bind operation may update one or more operational attributes in a
user's entry.  Admin's do not expect modifyTimestamp to be updated under this
and similar circumstances.  See also
http://www.openldap.org/its/index.cgi/Software%20Bugs?id=5040;page=2

Comment 4 Rich Megginson 2009-04-09 17:04:45 UTC
This falls under the category of RFC correctness

Comment 5 Rich Megginson 2009-04-09 17:26:47 UTC
See also bug 453756 and bug 305131

Comment 7 Rich Megginson 2010-11-30 17:10:44 UTC
We need this for openldap parity

Comment 8 Martin Kosek 2012-01-04 13:46:27 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/129

Comment 9 Nathan Kinder 2013-03-04 23:21:11 UTC
This was fixed in 389-ds-base-1.2.11-0.1.a1.fc17.  Closing.


Note You need to log in before you can comment on or make changes to this bug.